Skip to main content
`Ctrl`+`K`

# numpy.reciprocal

numpy.reciprocal(x, /, out=None, *, where=True, casting='same_kind', order='K', dtype=None, subok=True[, signature]) = <ufunc 'reciprocal'>

  Return the reciprocal of the argument, element-wise.

  Calculates `1/x`.

  Parameters:
    x array_like

      Input array.

    out ndarray, None, or tuple of ndarray and None, optional

      A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.

    where array_like, optional

      This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.

    **kwargs

      For other keyword-only arguments, see the ufunc docs.

  Returns:
    y ndarray

      Return array. This is a scalar if x is a scalar.

  Notes

  Note

  This function is not designed to work with integers.

  For integer arguments with absolute value larger than 1 the result is always zero because of the way Python handles integer division. For integer zero the result is an overflow.

  Examples

      >>> import numpy as np
      >>> np.reciprocal(2.)
      0.5
      >>> np.reciprocal([1, 2., 3.33])
      array([ 1.       ,  0.5      ,  0.3003003])